BuildRequires:	bzip2
Name:           sysfsutils-compat
Summary:        System Utilities Package / Libsysfs
Version:        1.3.0
Release:        18.2
License:        LGPL v2.1 or later
Group:          System/Libraries
Url:            http://linux-diag.sourceforge.net
%ifarch x86_64
Source:       	sysfsutils-compat-x86_64.tar.bz2
%else
Source:		sysfsutils-compat.tar.bz2  
%endif
Provides:       libsysfs.so.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package's purpose is to provide a library for interfacing with the
kernel's sys filesystem mounted at /sys. The libray was an attempt to
create a stable interface to sysfs, but it failed. It is still provided
for the current users, but no new software should use this library.

Authors:
--------
    Ananth Mavinakayanahalli <ananth@in.ibm.com>
    Daniel Stekloff <dsteklof@us.ibm.com>
    Mohan Kumar <mohan@in.ibm.com>

%prep
%setup -n %{_lib}

%build
mkdir -p %{buildroot}/%{_lib}

%install
%__install libsysfs.so.1.0.3 %{buildroot}/%{_lib}/
ln -sf libsysfs.so.1.0.3 %{buildroot}/%{_lib}/libsysfs.so.1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/%{_lib}/libsysfs.so.1*

%changelog
* Tue Dec 30 2008 Carsten Schoene <cs@linux-administrator.com> - 1.3.0
- initial package
